<?php
	include("ini.inc.php");
	include("namen.inc.php");
	require_once $_SERVER['DOCUMENT_ROOT'] . '/db_connection.php';
	$arr_iid = (isset($_POST["arr_iid"])) ? $_POST ["arr_iid"] : "";
	$arr_zeilen=array();
	$arr_sorter=array();
	foreach($arr_iid as $i) {
		if(($i > 600000) AND ($i < 700000)) {
			$sql_select = "SELECT * FROM cr_sl WHERE IID = " .  $i ;
			$sql_result = $db->query($sql_select);
			while ($row = $sql_result->fetch_object()) {
				$ausgabe = "";
				$bis="";
				$iid = $row->IID;
				$autor = $row->Autor;
				$autor = erster_name($autor);
				$titel = $row->Titel;
				if ($titel != "" && $autor != "")  { $titel = " &ndash; " . $titel; }
				$p = " p. ". $row->Seite;
				if ($row->Bis != "") {
					$bis = "-" . $row->Bis; 
					$p = " pp. ". $row->Seite; 
				}
				$bandteil = $row->Bandteil;
				$fasz = $row->Faszikel;
				$monat = $row->Monat;
				$band = $row->Band;
				$jahr = $row->Jahr;
				$heft = "Civis Romanus";
				if($jahr >= "801") { $heft = "Scriptor Latinus"; }
				if ($fasz == "602") {$heft = "Civ. Rom."; $bandteil = "2/3"; $monat = "Febr. Mart.";}
				if ($fasz == "704") {$heft = "Civ. Rom."; $monat = "Oct. Nov. Dec.";}
				if ($fasz == "807") {$monat = "Nov. Dec.";}
				if ($fasz == "808") {$monat = "Ian. Febr.";}
				$In = " &ndash; <u>In</u>: $heft, a. " . $band . ", " . $monat . " " . $jahr . ", n. $bandteil, " . $p . $bis;
				$ausgabe = $autor . $titel . $In;
			// Ausgabe-String in erstes Wort und alles Folgende zerlegen
				$ew = substr($ausgabe, 0,  strpos($ausgabe, " "));
				$af = substr($ausgabe, strpos($ausgabe, " "));
			// erstes Wort groß und sperren
				$ew_gs = mb_strtoupper($ew, "UTF-8");
				$ew_gs = "<span style='letter-spacing:1px;'>$ew_gs</span>";
			// neuer Ausgabe-String in Zeilen-Array
				$arr_sorter[] = $ew_gs . $af;
				$ausgabe = $ew_gs . $af . "_" . $iid . "#";	
				$arr_zeilen[] = $ausgabe;
			}
		}
	}
	$db->close();
	array_multisort($arr_sorter, $arr_zeilen);
	echo json_encode($arr_zeilen);
?>
